<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Mouse](./puppeteer.mouse.md) &gt; [click](./puppeteer.mouse.click.md)

## Mouse.click() method

Shortcut for `mouse.move`<!-- -->, `mouse.down` and `mouse.up`<!-- -->.

<b>Signature:</b>

```typescript
click(x: number, y: number, options?: MouseOptions & {
        delay?: number;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  x | number | Horizontal position of the mouse. |
|  y | number | Vertical position of the mouse. |
|  options | MouseOptions &amp; { delay?: number; } | Optional <code>MouseOptions</code>. |

<b>Returns:</b>

Promise&lt;void&gt;

